import javax.swing.*;
import java.awt.FlowLayout;

/**
 * Set up the window with a FlowLayout and show five labels in it.
 * The size of the window is determined from the size of the labels.
 * @version 8, 2 Feb 2005.
 **/
public class SetUpOperation implements Runnable
{
    public void run () {
        // Make sure we have nice window decorations.
        JFrame.setDefaultLookAndFeelDecorated(true);
        
        // Create the window and set its size.
        JFrame frame = new JFrame ("My example program");
        
        // Make sure the program exits when the window is closed.
        frame.setDefaultCloseOperation (JFrame.EXIT_ON_CLOSE);
        
        frame.getContentPane().setLayout (new FlowLayout());
        // Add something to the window.
        JLabel northText = new JLabel ("north");
        JLabel southText = new JLabel ("south");
        JLabel eastText = new JLabel ("east");
        JLabel westText = new JLabel ("west");
        JLabel centerText = new JLabel ("center");
        frame.getContentPane().add(northText);
        frame.getContentPane().add(centerText);
        frame.getContentPane().add(eastText);
        frame.getContentPane().add(southText);
        frame.getContentPane().add(westText);
        
        // Compute the size of the window, just big enough to hold the labels.
        frame.pack();
        
        // Show the window.
        frame.setVisible(true);
    }
}